import 'package:calculus/utils/tools.dart';

class DefaultGameSettings {
  // available game parameters codes
  static const String parameterCodeItemsCount = 'itemsCount';
  static const String parameterCodeTimerValue = 'timerValue';
  static const List<String> availableParameters = [
    parameterCodeItemsCount,
    parameterCodeTimerValue,
  ];

  // items count: available values
  static const String itemsCountValueNoLimit = 'nolimit';
  static const List<String> allowedItemsCountValues = [
    itemsCountValueNoLimit,
  ];
  // items count: default value
  static const String defaultItemsCountValue = itemsCountValueNoLimit;

  // timer value: available values
  static const String timerValueNoTimer = 'nolimit';
  static const List<String> allowedTimerValues = [
    timerValueNoTimer,
  ];
  // timer value: default value
  static const String defaultTimerValue = timerValueNoTimer;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeItemsCount:
        return DefaultGameSettings.allowedItemsCountValues;
      case parameterCodeTimerValue:
        return DefaultGameSettings.allowedTimerValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }

  // parameters displayed with assets (instead of painter)
  static List<String> displayedWithAssets = [
    //
  ];
}
